# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Config.pm) perl(Exporter.pm) perl(Test.pm) perl(Test/Simple.pm) perl(Test/Unit.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Test-Cmd
Version:        1.05
Release:        alt1_13
Summary:        Perl module for portable testing of commands and scripts

Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Test-Cmd/
Source0:        http://www.cpan.org/authors/id/K/KN/KNIGHT/Test-Cmd-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(Algorithm/DiffOld.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
Requires:       perl(Algorithm/DiffOld.pm)
Source44: import.info

%description
The Test::Cmd module provides a framework for portable automated testing
of executable commands and scripts (in any language, not just Perl),
especially commands and scripts that interace with the file system.


%prep
%setup -q -n Test-Cmd-%{version}


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes README
%{perl_vendor_privlib}/Test/


%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_13
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_12
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_10
- fc import

